Create an issued invoice
curl --request POST \
--url https://api.breezing.io/v1/sales-invoices \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"name": "<string>",
"address": "",
"email": ""
},
"currency": "<string>",
"lines": [
{
"description": "<string>",
"quantity": "2",
"unitPrice": "1500",
"vatName": "<string>",
"vatRate": "<string>",
"id": "<string>",
"account": "<string>"
}
],
"invoiceNumber": "",
"seller": {
"name": "<string>",
"address": "<string>",
"email": "<string>",
"taxId": "<string>",
"paymentDetails": "<string>"
},
"issueDate": "",
"dueDate": "",
"vatInclusive": false,
"discount": null,
"status": "draft",
"accentId": "ink",
"notes": "",
"logoDataUrl": null
}
'import requests
url = "https://api.breezing.io/v1/sales-invoices"
payload = {
"customer": {
"name": "<string>",
"address": "",
"email": ""
},
"currency": "<string>",
"lines": [
{
"description": "<string>",
"quantity": "2",
"unitPrice": "1500",
"vatName": "<string>",
"vatRate": "<string>",
"id": "<string>",
"account": "<string>"
}
],
"invoiceNumber": "",
"seller": {
"name": "<string>",
"address": "<string>",
"email": "<string>",
"taxId": "<string>",
"paymentDetails": "<string>"
},
"issueDate": "",
"dueDate": "",
"vatInclusive": False,
"discount": None,
"status": "draft",
"accentId": "ink",
"notes": "",
"logoDataUrl": None
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
customer: {name: '<string>', address: '', email: ''},
currency: '<string>',
lines: [
{
description: '<string>',
quantity: '2',
unitPrice: '1500',
vatName: '<string>',
vatRate: '<string>',
id: '<string>',
account: '<string>'
}
],
invoiceNumber: '',
seller: {
name: '<string>',
address: '<string>',
email: '<string>',
taxId: '<string>',
paymentDetails: '<string>'
},
issueDate: '',
dueDate: '',
vatInclusive: false,
discount: null,
status: 'draft',
accentId: 'ink',
notes: '',
logoDataUrl: null
})
};
fetch('https://api.breezing.io/v1/sales-invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/sales-invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer' => [
'name' => '<string>',
'address' => '',
'email' => ''
],
'currency' => '<string>',
'lines' => [
[
'description' => '<string>',
'quantity' => '2',
'unitPrice' => '1500',
'vatName' => '<string>',
'vatRate' => '<string>',
'id' => '<string>',
'account' => '<string>'
]
],
'invoiceNumber' => '',
'seller' => [
'name' => '<string>',
'address' => '<string>',
'email' => '<string>',
'taxId' => '<string>',
'paymentDetails' => '<string>'
],
'issueDate' => '',
'dueDate' => '',
'vatInclusive' => false,
'discount' => null,
'status' => 'draft',
'accentId' => 'ink',
'notes' => '',
'logoDataUrl' => null
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/sales-invoices"
payload := strings.NewReader("{\n \"customer\": {\n \"name\": \"<string>\",\n \"address\": \"\",\n \"email\": \"\"\n },\n \"currency\": \"<string>\",\n \"lines\": [\n {\n \"description\": \"<string>\",\n \"quantity\": \"2\",\n \"unitPrice\": \"1500\",\n \"vatName\": \"<string>\",\n \"vatRate\": \"<string>\",\n \"id\": \"<string>\",\n \"account\": \"<string>\"\n }\n ],\n \"invoiceNumber\": \"\",\n \"seller\": {\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"email\": \"<string>\",\n \"taxId\": \"<string>\",\n \"paymentDetails\": \"<string>\"\n },\n \"issueDate\": \"\",\n \"dueDate\": \"\",\n \"vatInclusive\": false,\n \"discount\": null,\n \"status\": \"draft\",\n \"accentId\": \"ink\",\n \"notes\": \"\",\n \"logoDataUrl\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/sales-invoices")
.header("Content-Type", "application/json")
.body("{\n \"customer\": {\n \"name\": \"<string>\",\n \"address\": \"\",\n \"email\": \"\"\n },\n \"currency\": \"<string>\",\n \"lines\": [\n {\n \"description\": \"<string>\",\n \"quantity\": \"2\",\n \"unitPrice\": \"1500\",\n \"vatName\": \"<string>\",\n \"vatRate\": \"<string>\",\n \"id\": \"<string>\",\n \"account\": \"<string>\"\n }\n ],\n \"invoiceNumber\": \"\",\n \"seller\": {\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"email\": \"<string>\",\n \"taxId\": \"<string>\",\n \"paymentDetails\": \"<string>\"\n },\n \"issueDate\": \"\",\n \"dueDate\": \"\",\n \"vatInclusive\": false,\n \"discount\": null,\n \"status\": \"draft\",\n \"accentId\": \"ink\",\n \"notes\": \"\",\n \"logoDataUrl\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/sales-invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer\": {\n \"name\": \"<string>\",\n \"address\": \"\",\n \"email\": \"\"\n },\n \"currency\": \"<string>\",\n \"lines\": [\n {\n \"description\": \"<string>\",\n \"quantity\": \"2\",\n \"unitPrice\": \"1500\",\n \"vatName\": \"<string>\",\n \"vatRate\": \"<string>\",\n \"id\": \"<string>\",\n \"account\": \"<string>\"\n }\n ],\n \"invoiceNumber\": \"\",\n \"seller\": {\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"email\": \"<string>\",\n \"taxId\": \"<string>\",\n \"paymentDetails\": \"<string>\"\n },\n \"issueDate\": \"\",\n \"dueDate\": \"\",\n \"vatInclusive\": false,\n \"discount\": null,\n \"status\": \"draft\",\n \"accentId\": \"ink\",\n \"notes\": \"\",\n \"logoDataUrl\": null\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 123,
"totalAmount": "<string>",
"bookedAt": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Issued Invoices
Create Issued Invoice API
Create a customer invoice in Breezing as a draft or sent document, with line items, VAT, and a total calculated on the server.
POST
/
sales-invoices
Create an issued invoice
curl --request POST \
--url https://api.breezing.io/v1/sales-invoices \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"name": "<string>",
"address": "",
"email": ""
},
"currency": "<string>",
"lines": [
{
"description": "<string>",
"quantity": "2",
"unitPrice": "1500",
"vatName": "<string>",
"vatRate": "<string>",
"id": "<string>",
"account": "<string>"
}
],
"invoiceNumber": "",
"seller": {
"name": "<string>",
"address": "<string>",
"email": "<string>",
"taxId": "<string>",
"paymentDetails": "<string>"
},
"issueDate": "",
"dueDate": "",
"vatInclusive": false,
"discount": null,
"status": "draft",
"accentId": "ink",
"notes": "",
"logoDataUrl": null
}
'import requests
url = "https://api.breezing.io/v1/sales-invoices"
payload = {
"customer": {
"name": "<string>",
"address": "",
"email": ""
},
"currency": "<string>",
"lines": [
{
"description": "<string>",
"quantity": "2",
"unitPrice": "1500",
"vatName": "<string>",
"vatRate": "<string>",
"id": "<string>",
"account": "<string>"
}
],
"invoiceNumber": "",
"seller": {
"name": "<string>",
"address": "<string>",
"email": "<string>",
"taxId": "<string>",
"paymentDetails": "<string>"
},
"issueDate": "",
"dueDate": "",
"vatInclusive": False,
"discount": None,
"status": "draft",
"accentId": "ink",
"notes": "",
"logoDataUrl": None
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
customer: {name: '<string>', address: '', email: ''},
currency: '<string>',
lines: [
{
description: '<string>',
quantity: '2',
unitPrice: '1500',
vatName: '<string>',
vatRate: '<string>',
id: '<string>',
account: '<string>'
}
],
invoiceNumber: '',
seller: {
name: '<string>',
address: '<string>',
email: '<string>',
taxId: '<string>',
paymentDetails: '<string>'
},
issueDate: '',
dueDate: '',
vatInclusive: false,
discount: null,
status: 'draft',
accentId: 'ink',
notes: '',
logoDataUrl: null
})
};
fetch('https://api.breezing.io/v1/sales-invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/sales-invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer' => [
'name' => '<string>',
'address' => '',
'email' => ''
],
'currency' => '<string>',
'lines' => [
[
'description' => '<string>',
'quantity' => '2',
'unitPrice' => '1500',
'vatName' => '<string>',
'vatRate' => '<string>',
'id' => '<string>',
'account' => '<string>'
]
],
'invoiceNumber' => '',
'seller' => [
'name' => '<string>',
'address' => '<string>',
'email' => '<string>',
'taxId' => '<string>',
'paymentDetails' => '<string>'
],
'issueDate' => '',
'dueDate' => '',
'vatInclusive' => false,
'discount' => null,
'status' => 'draft',
'accentId' => 'ink',
'notes' => '',
'logoDataUrl' => null
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/sales-invoices"
payload := strings.NewReader("{\n \"customer\": {\n \"name\": \"<string>\",\n \"address\": \"\",\n \"email\": \"\"\n },\n \"currency\": \"<string>\",\n \"lines\": [\n {\n \"description\": \"<string>\",\n \"quantity\": \"2\",\n \"unitPrice\": \"1500\",\n \"vatName\": \"<string>\",\n \"vatRate\": \"<string>\",\n \"id\": \"<string>\",\n \"account\": \"<string>\"\n }\n ],\n \"invoiceNumber\": \"\",\n \"seller\": {\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"email\": \"<string>\",\n \"taxId\": \"<string>\",\n \"paymentDetails\": \"<string>\"\n },\n \"issueDate\": \"\",\n \"dueDate\": \"\",\n \"vatInclusive\": false,\n \"discount\": null,\n \"status\": \"draft\",\n \"accentId\": \"ink\",\n \"notes\": \"\",\n \"logoDataUrl\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/sales-invoices")
.header("Content-Type", "application/json")
.body("{\n \"customer\": {\n \"name\": \"<string>\",\n \"address\": \"\",\n \"email\": \"\"\n },\n \"currency\": \"<string>\",\n \"lines\": [\n {\n \"description\": \"<string>\",\n \"quantity\": \"2\",\n \"unitPrice\": \"1500\",\n \"vatName\": \"<string>\",\n \"vatRate\": \"<string>\",\n \"id\": \"<string>\",\n \"account\": \"<string>\"\n }\n ],\n \"invoiceNumber\": \"\",\n \"seller\": {\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"email\": \"<string>\",\n \"taxId\": \"<string>\",\n \"paymentDetails\": \"<string>\"\n },\n \"issueDate\": \"\",\n \"dueDate\": \"\",\n \"vatInclusive\": false,\n \"discount\": null,\n \"status\": \"draft\",\n \"accentId\": \"ink\",\n \"notes\": \"\",\n \"logoDataUrl\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/sales-invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer\": {\n \"name\": \"<string>\",\n \"address\": \"\",\n \"email\": \"\"\n },\n \"currency\": \"<string>\",\n \"lines\": [\n {\n \"description\": \"<string>\",\n \"quantity\": \"2\",\n \"unitPrice\": \"1500\",\n \"vatName\": \"<string>\",\n \"vatRate\": \"<string>\",\n \"id\": \"<string>\",\n \"account\": \"<string>\"\n }\n ],\n \"invoiceNumber\": \"\",\n \"seller\": {\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"email\": \"<string>\",\n \"taxId\": \"<string>\",\n \"paymentDetails\": \"<string>\"\n },\n \"issueDate\": \"\",\n \"dueDate\": \"\",\n \"vatInclusive\": false,\n \"discount\": null,\n \"status\": \"draft\",\n \"accentId\": \"ink\",\n \"notes\": \"\",\n \"logoDataUrl\": null\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 123,
"totalAmount": "<string>",
"bookedAt": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Body
application/json
Last modified on November 13, 2026